<!doctype html>
<html>

<head>
</head>

<body>
	<p id="output">Output appears here</p>
	<br>
	<input type="file" id="input" accept=".json"/>
	<script>
		const input = document.getElementById('input');
		var output = document.getElementById('output');
		
		input.onchange = function(event) {
			if (event.target.files.length == 0) return;
			readFiles(event.target.files);
		}

		function readFiles(list){
			jsonData = [];
			var promises = [];
			for (var file of list) {
				var filePromise = new Promise(resolve => {
					var reader = new FileReader();
					reader.readAsText(file);
					reader.onload = () => resolve(reader.result);
				});
				promises.push(filePromise);
			}
			Promise.all(promises).then(fileContent => {
				process(JSON.parse(fileContent[0]));
			});
		}

		function process(rawDataSet) {
			console.log(rawDataSet);
			var data  = Create2DArray(64);
			for (var i = 0; i < rawDataSet[0].length; ++i) {
				data[rawDataSet[0][i].block_size_x-1][rawDataSet[0][i].block_size_y-1] = rawDataSet[0][i].time;
			}

			var matrixAsString = "[";
			for (var i = 0; i < 64; ++i) {
				for (var j = 0; j < 64; ++j) {
					var append = data[j][i];
					if (typeof append === 'undefined' || append > Math.pow(10,38)) append = "missing";
					matrixAsString += append;
					if (j != 63) matrixAsString += " ";
				}
				if (i != 63) matrixAsString += ";";
			}
			matrixAsString += "]";

			output.innerHTML = matrixAsString;
		}

		function Create2DArray(rows) {
			var arr = [];
			for (var i=0;i<rows;i++) {
				arr[i] = [];
			}
			return arr;
		}
	</script>
</body>

</html>
